Create Document

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
⚠️

Important Header Notice

Due to platform restrictions, we are unable to modify certain headers in the autogenerated code, please follow specifications provided below.


📤 Request

This endpoint expects a multipart/form-data request with two parts: file and metadata.


📁 File Part

  • Purpose: Carries the binary content of the document.
  • Headers within part:
    • Content-Disposition: form-data; name="file"; filename="your_document_name.pdf"
    • Content-Type: Must be one of the supported file types:
      • application/pdf
      • image/jpeg
      • image/png
      • application/json
      • audio/mpeg (MP3 files)
      • audio/mp4 (M4A files)
  • Body: Binary content of your document.

    File size limits

    • Documents and images (PDF, JPEG, PNG, JSON): up to 30 MB
    • Audio files (MP3, M4A): up to 70 MB

    File name requirements

    • Max length: 250 characters
    • Allowed characters: Letters, numbers, spaces, and the following symbols: _ ( ) . ' -
    • Note: Plus signs (+) are strictly prohibited and will result in an INVALID_REQUEST_DATA error. If you are downloading files from external portals, ensure URL-encoded spaces (+) are renamed back to standard spaces before uploading.

📝 Metadata Part

  • Purpose: Provides structured information about the document.
  • Headers within part:
    • Content-Disposition: form-data; name="metadata"
    • Content-Type: application/json
  • Body: JSON object describing the document.
{
  "type": "DOCUMENT_TYPE",
  "description": "Optional description of the document",
  "relatedEntityIds": ["entityId1", "entityId2"]
}

 

Body Params
file

Allowed formats: JSON, JPEG, PDF, PNG

metadata
object
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json